Subject: categories: Addendum squared or cubed, depending on what you count.

From: Peter Freyd <[email-masked]>
Date: Tue, 18 Jan 2000 10:14:32 -0500 (EST)

Vaughan writes:

  How about the positive integers with  *  as sum, with 1->3 as the 
  only nonidentity arrow?  The unique cubical coalgebra is  1  but 
  there is no square coalgebra.

Indeed, but there's no _final_ cubical coalgebra. What I don't have is
a category with an associative bifunctor with a final cubical
coalgebra but no final square coalgebra.

On a _discrete_ category being the unique coalgebra is necessary and
sufficient for being a final coalgebra. It's easy to see that in a 
semigroup if  x  is a unique solution to  xxx = x  then  x  is the 
unique solution to  xx = x.

After writing all that, I note that in Vaughan's example, *  is not a
functor. If it were, there would have to map from  1*1  to  1*3  and
1*1  would be a square coalgebra.